# Models

## Get Models

> Get all models according to OpenRouter provider spec.

```json
{"openapi":"3.1.0","info":{"title":"AFM API - External API","version":"0.1.0"},"paths":{"/api/v1/models":{"get":{"tags":["Models"],"summary":"Get Models","description":"Get all models according to OpenRouter provider spec.","operationId":"get_models_api_v1_models_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModelsListResponse"}}}},"401":{"description":"Authentication Fails","content":{"application/json":{}}},"422":{"description":"Invalid Parameters","content":{"application/json":{}}},"500":{"description":"Server Error","content":{"application/json":{}}}}}}},"components":{"schemas":{"ModelsListResponse":{"properties":{"data":{"items":{"$ref":"#/components/schemas/APIModelResponse"},"type":"array","title":"Data"}},"type":"object","required":["data"],"title":"ModelsListResponse"},"APIModelResponse":{"properties":{"id":{"type":"string","title":"Id"},"hugging_face_id":{"type":"string","title":"Hugging Face Id"},"name":{"type":"string","title":"Name"},"created":{"type":"integer","title":"Created"},"input_modalities":{"items":{"type":"string"},"type":"array","title":"Input Modalities"},"output_modalities":{"items":{"type":"string"},"type":"array","title":"Output Modalities"},"quantization":{"type":"string","title":"Quantization"},"context_length":{"type":"integer","title":"Context Length"},"max_output_length":{"type":"integer","title":"Max Output Length"},"pricing":{"$ref":"#/components/schemas/PricingResponse"},"supported_sampling_parameters":{"items":{"type":"string"},"type":"array","title":"Supported Sampling Parameters"},"supported_features":{"items":{"type":"string"},"type":"array","title":"Supported Features"},"description":{"type":"string"},"openrouter":{"$ref":"#/components/schemas/OpenRouterMetadata"},"datacenters":{"items":{"$ref":"#/components/schemas/DatacenterResponse"},"type":"array"}},"type":"object","required":["id","hugging_face_id","name","created","input_modalities","output_modalities","quantization","context_length","max_output_length","pricing","supported_sampling_parameters","supported_features"],"title":"APIModelResponse"},"PricingResponse":{"properties":{"prompt":{"type":"string","title":"Prompt"},"completion":{"type":"string","title":"Completion"},"image":{"type":"string","title":"Image"},"request":{"type":"string","title":"Request"},"input_cache_reads":{"type":"string","title":"Input Cache Reads"},"input_cache_writes":{"type":"string","title":"Input Cache Writes"}},"type":"object","required":["prompt","completion","image","request","input_cache_reads","input_cache_writes"],"title":"PricingResponse"},"OpenRouterMetadata":{"properties":{"slug":{"type":"string","title":"Slug"}},"type":"object","required":["slug"],"title":"OpenRouterMetadata"},"DatacenterResponse":{"properties":{"country_code":{"type":"string","title":"Country Code"}},"type":"object","required":["country_code"],"title":"DatacenterResponse"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arcee.ai/api-reference/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
